Bug 1183422 - Review Request: python-ghp-import - Copies docs directly to the gh-pages branch of a GitHub repo [NEEDINFO]
Summary: Review Request: python-ghp-import - Copies docs directly to the gh-pages bran...
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-19 01:58 UTC by Pete Travis
Modified: 2018-06-12 14:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: needinfo? (me)


Attachments (Terms of Use)

Description Pete Travis 2015-01-19 01:58:19 UTC
Spec URL: https://immanetize.fedorapeople.org/python-ghp-import.spec
SRPM URL: https://immanetize.fedorapeople.org/python-ghp-import-0.4.1-1.fc22.src.rpm
Description: 
ghp-import manages content in the gh-pages branch of your GitHub repo. 
Use it to publish documentation or other content that requires sources 
in your main branch.

Fedora Account System Username: immanetize

Comment 1 Pete Travis 2015-01-20 20:08:37 UTC
Spec URL: https://immanetize.fedorapeople.org/python-ghp-import.spec
SRPM URL: https://immanetize.fedorapeople.org/python-ghp-import-0.4.1-2.fc22.src.rpm
Description: 
ghp-import manages content in the gh-pages branch of your GitHub repo. 
Use it to publish documentation or other content that requires sources 
in your main branch.


* Tue Jan 20 2015 Pete Travis <immanetize@fedoraproject.org> 0.4.1-2
- Fix setup.py so python3 subpackage builds.

Comment 2 Pete Travis 2015-01-23 06:57:39 UTC
FYI, readers, if setup.py needed patching to work with both py2 and py3, the rest might too. I need to test this.

Comment 3 José Matos 2015-02-25 12:10:37 UTC
Hi Pete.

Have you looked further to comment#2?

This package is simple and I am willing to review it. I saw it from nikola copr.

Comment 4 Pete Travis 2015-03-15 15:43:31 UTC
Hi Jose, thanks for noticing my review.  I did just test ghp-import.3.4 and was able to create http://immanetize.github.io/anerist/ .  One pass isn't a very rigorous test, but then, it is not a very complex utility.

Comment 5 José Matos 2015-03-18 10:50:18 UTC
The package is OK.

My only concern is with the license that it is... well... something.

Since I do not know if that qualifies as a license I am blocking with FE-Legal.

Comment 6 Haïkel Guémar 2017-05-31 14:56:35 UTC
Are you still working on that review?
It was deemed acceptable by Fedora-Legal
https://www.spinics.net/linux/fedora/fedora-legal/msg02842.html

Comment 7 Tom "spot" Callaway 2018-06-12 14:23:37 UTC
Tumbolia added to license list. Lifting FE-Legal.


Note You need to log in before you can comment on or make changes to this bug.